Gentoo Archives: gentoo-sparc

From: Jason Wever <weeve@g.o>
To: gentoo-sparc@l.g.o
Subject: Re: [gentoo-sparc] Dueling ebuilds?
Date: Wed, 27 Oct 2004 12:32:38
Message-Id: 20041027063924.2a2f8aa4@enterprise.weeve.org
In Reply to: [gentoo-sparc] Dueling ebuilds? by Paul Heinlein
On Tue, 26 Oct 2004 17:49:58 -0700 (PDT)
Paul Heinlein <heinlein@××××××.com> wrote:

> Does this look familiar to anyone? I've got modutils-2.4.25 and > module-init-tools-3.0-r2 installed. It looks like dueling dependencies > to me, but I'm not a portage expert, not even close. :-)
Basically what happens is both packages block each other and now that portage has better logic to detect blocking packages when doing emerge -upvD world, that's why you see that below. If you're only using 2.4, you can keep using modutils. However if you use 2.6, or want to flip back and forth from 2.4 to 2.6, you can use module-init-tools (as long as the "no-old-linux" use flag is *NOT* enabled (aren't double negatives fun :-P)) -- Jason Wever Gentoo/Sparc Team Co-Lead

Replies

Subject Author
Re: [gentoo-sparc] Dueling ebuilds? Paul Heinlein <heinlein@××××××.com>